Summary: A WYSIWYM frontend to LaTeX (with Japanese language extension)
Name: lyx
%define jpversion 0.10b2
%define version 1.0.2
Version: %{version}
Release: 1a
Source:  ftp://ftp.lyx.org/pub/lyx/stable/lyx-%{version}.tar.gz
Patch0: lyx-jp-kit%{jpversion}for%{version}.tar.gz
Patch1: lyx-jp-ppc-R4.patch
Copyright: GPL
Group: X11/Applications/Publishing
Requires: xforms >= 0.81
BuildRoot: /var/tmp/lyx-root
%define prefix /usr

%description
LyX introduces the WYSIWYM concept: What You See Is What You
Mean. Unlike standard WYSIWYG word processors LyX encourages
you to concentrate on the structure of the document, instead
of the appearance. LyX uses LaTeX for typesetting so you get
all the power of LaTeX but with an easy to use interface.

This package contains LyX-jp, LyX patched with Japanese 
language extension kit 0.04 (lyx-jp-kit0.04for1.0.0.tar.gz). 
The patch is written by Masahiko Kawakami.
<http://www.din.or.jp/~kawakami/index.html>

%prep
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/share/lyx

%setup
tar -zxvf $RPM_SOURCE_DIR/lyx-jp-kit%{jpversion}for%{version}.tar.gz
patch -p1 -s < lyx-jp-patch
%ifarch ppc
#%patch1 -p1
%endif 

%build
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
	./configure --prefix=%{prefix}
make

%install
strip src/lyx
touch lib/packages.lst
make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ABOUT-NLS ANNOUNCE CHANGES COPYING INSTALL README UPGRADING WHATSNEW
%doc README.jis ChangeLog.jis
%{prefix}/bin/lyx
%{prefix}/share/lyx
%{prefix}/man/man1/lyx.1
%{prefix}/bin/reLyX


%changelog
* Tue Jun 22 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- built against LinuxPPC-1999

* Wed Jun 9 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to version 1.0.2 + 0.10b2
- built against LinuxPPC-R4.1

* Mon May 31 1999 Koichi Takeda <ktakeda@ip.media.kyoto-u.ac.jp>
- second release for LyX version 1.0.0 + jp-kit0.0.4.
- `reLyX' is included in the package.

* Fri Apr 26 1999 Koichi Takeda <ktakeda@ip.media.koto-u.ac.jp>
- first release for version 1.0.0. + jp-kit0.0.4.

